Subject: Re: Bug#405454: [new check] init script in level S must only use commands from /sbin:/bin

From: Raphael Geissert <[email-masked]>
Date: Tue, 16 Jun 2009 23:06:38 -0500

Hi Russ et al,

Lately, I've been working on parallel booting and I've been hit by some 
packages relying on which, find, and other tools.

Since the list of binaries in /bin and /sbin shouldn't change too often, I 
think it would  be feasible to generate and store that list in data/.

Now that insserv can order the scripts based on their dependencies am not sure 
the "no S script should use binaries from /usr" argument still applies, as 
depending on $remote_fs should be enough.

Comments?

Cheers,
-- 
Raphael Geissert - Debian Maintainer
www.debian.org - get.debian.net

---

From: Russ Allbery <[email-masked]>
Date: Tue, 16 Jun 2009 21:49:42 -0700

Raphael Geissert <[email-masked]> writes:

> Lately, I've been working on parallel booting and I've been hit by
> some packages relying on which, find, and other tools.
>
> Since the list of binaries in /bin and /sbin shouldn't change too
> often, I think it would be feasible to generate and store that list in
> data/.

Yeah, we should be able to do something based on the Contents file, I'd
think.  The only trick is that it may vary by architecture.

> Now that insserv can order the scripts based on their dependencies am
> not sure the "no S script should use binaries from /usr" argument
> still applies, as depending on $remote_fs should be enough.

Agreed.  However, I think that means the check is still valid -- it just
needs to check anything that doesn't specify a $remote_fs dependency, if
I remember the meaning of that correctly.

-- 
Russ Allbery ([email-masked])               <http://www.eyrie.org/~eagle/>